summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-01-31 21:19:19 +0000
committer Eric Hameleers <alien@slackware.com>2024-01-31 23:07:15 +0100
commitf75fcd750efad1d366cce38d805a708abb4f3af6 (patch)
treebaa185c434dc07e0028d12a9cdbe7ffb6b247ba6 /source
parent7b9b973e94adeb7444208efdd7ad577fce430e53 (diff)
downloadcurrent-f75fcd750efad1d366cce38d805a708abb4f3af6.tar.gz
current-f75fcd750efad1d366cce38d805a708abb4f3af6.tar.xz
Wed Jan 31 21:19:19 UTC 202420240131211919
ap/nvme-cli-2.7.1-x86_64-1.txz: Upgraded. l/libnvme-1.7.1-x86_64-1.txz: Added. This is required by nvme-cli. l/pipewire-1.0.2-x86_64-1.txz: Upgraded. n/curl-8.6.0-x86_64-1.txz: Upgraded. n/libmilter-8.18.1-x86_64-1.txz: Upgraded. extra/sendmail/sendmail-8.18.1-x86_64-1.txz: Upgraded. sendmail through 8.17.2 allows SMTP smuggling in certain configurations. Remote attackers can use a published exploitation technique to inject e-mail messages with a spoofed MAIL FROM address, allowing bypass of an SPF protection mechanism. This occurs because sendmail supports <LF>.<CR><LF> but some other popular e-mail servers do not. This is resolved in 8.18 and later versions with 'o' in srv_features. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-51765 (* Security fix *) extra/sendmail/sendmail-cf-8.18.1-noarch-1.txz: Upgraded.
Diffstat (limited to 'source')
-rw-r--r--source/ap/nvme-cli/doinst.sh14
-rwxr-xr-xsource/ap/nvme-cli/nvme-cli.SlackBuild43
-rw-r--r--source/d/ruby/slack-desc2
-rw-r--r--source/installer/ChangeLog.txt3
-rwxr-xr-xsource/installer/build_installer.sh2
-rwxr-xr-xsource/l/libnvme/libnvme.SlackBuild123
-rw-r--r--source/l/libnvme/libnvme.url1
-rw-r--r--source/l/libnvme/slack-desc19
-rwxr-xr-xsource/l/pipewire/pipewire.SlackBuild2
-rwxr-xr-xsource/n/libmilter/libmilter.SlackBuild2
10 files changed, 195 insertions, 16 deletions
diff --git a/source/ap/nvme-cli/doinst.sh b/source/ap/nvme-cli/doinst.sh
new file mode 100644
index 000000000..d2bc87c16
--- /dev/null
+++ b/source/ap/nvme-cli/doinst.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/nvme/discovery.conf.new
diff --git a/source/ap/nvme-cli/nvme-cli.SlackBuild b/source/ap/nvme-cli/nvme-cli.SlackBuild
index b12ea7cee..a7f5e5b11 100755
--- a/source/ap/nvme-cli/nvme-cli.SlackBuild
+++ b/source/ap/nvme-cli/nvme-cli.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,18 +85,34 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Build and install:
-make $NUMJOBS CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" PREFIX=/usr SBINDIR=/usr/sbin || exit 1
-make $NUMJOBS install CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" PREFIX=/usr SBINDIR=/usr/sbin DESTDIR=$PKG || exit 1
-
-# Don't ship build-host specific files:
-rm -f $PKG/etc/nvme/*
-
-# Don't ship systemd udev rules:
-rm -r $PKG/etc/udev
-
-# Remove dracut and system libdir files:
-rm -r $PKG/usr/lib/{dracut,systemd}
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Ddocs=man \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Make discovery.conf file .new:
+mv $PKG/etc/nvme/discovery.conf $PKG/etc/nvme/discovery.conf.new
+
+# Remove dracut and systemd libdir files:
+rm -r $PKG/usr/lib/{dracut,systemd,udev}
rmdir $PKG/usr/lib 2> /dev/null
# Move man pages:
@@ -119,6 +135,7 @@ cp -a \
$PKG/usr/doc/${PKGNAM}-$VERSION
mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
diff --git a/source/d/ruby/slack-desc b/source/d/ruby/slack-desc
index e74de1364..8c86b6de9 100644
--- a/source/d/ruby/slack-desc
+++ b/source/d/ruby/slack-desc
@@ -13,7 +13,7 @@ ruby: object-oriented programming. It has many features to process text
ruby: files and to do system management tasks (as in Perl). It is simple,
ruby: straight-forward, and extensible.
ruby:
-ruby: Homepage: http://www.ruby-lang.org/
+ruby: Homepage: https://www.ruby-lang.org/
ruby:
ruby:
ruby:
diff --git a/source/installer/ChangeLog.txt b/source/installer/ChangeLog.txt
index 600af2d24..4373c2c34 100644
--- a/source/installer/ChangeLog.txt
+++ b/source/installer/ChangeLog.txt
@@ -1,3 +1,6 @@
+Wed Jan 31 20:35:22 UTC 2024
+ Added libnvme.
++--------------------------+
Tue Jan 2 09:03:56 UTC 2024
build_installer.sh: Switch /sbin/modinfo from BusyBox's implementation to
kmod's, as the busybox implementation doesn't work.
diff --git a/source/installer/build_installer.sh b/source/installer/build_installer.sh
index 86e580a02..5ed78322a 100755
--- a/source/installer/build_installer.sh
+++ b/source/installer/build_installer.sh
@@ -1009,6 +1009,7 @@ l/libaio \
l/libcap \
l/libidn2 \
l/libnsl \
+l/libnvme \
l/libunistring \
l/libusb \
l/lz4 \
@@ -1378,6 +1379,7 @@ cp -fa${VERBOSE1} \
liblz.so* \
liblz4.so* \
liblzo*.so* \
+ libnvme*.so* \
libparted*so* \
libreadline*.so* \
libstdc++*.so* \
diff --git a/source/l/libnvme/libnvme.SlackBuild b/source/l/libnvme/libnvme.SlackBuild
new file mode 100755
index 000000000..f9387ff96
--- /dev/null
+++ b/source/l/libnvme/libnvme.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libnvme
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ COPYING* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/libnvme/libnvme.url b/source/l/libnvme/libnvme.url
new file mode 100644
index 000000000..a39915443
--- /dev/null
+++ b/source/l/libnvme/libnvme.url
@@ -0,0 +1 @@
+https://github.com/linux-nvme/libnvme
diff --git a/source/l/libnvme/slack-desc b/source/l/libnvme/slack-desc
new file mode 100644
index 000000000..1d28c6ac6
--- /dev/null
+++ b/source/l/libnvme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libnvme: libnvme (NVMe library)
+libnvme:
+libnvme: This is the libnvme development C library. libnvme provides type
+libnvme: definitions for NVMe specification structures, enumerations, and bit
+libnvme: fields, helper functions to construct, dispatch, and decode commands
+libnvme: and payloads, and utilities to connect, scan, and manage nvme devices
+libnvme: on a Linux system.
+libnvme:
+libnvme: Homepage: https://github.com/linux-nvme/libnvme
+libnvme:
+libnvme:
diff --git a/source/l/pipewire/pipewire.SlackBuild b/source/l/pipewire/pipewire.SlackBuild
index 6c5ff7147..f3dd30ae8 100755
--- a/source/l/pipewire/pipewire.SlackBuild
+++ b/source/l/pipewire/pipewire.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pipewire
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/libmilter/libmilter.SlackBuild b/source/n/libmilter/libmilter.SlackBuild
index 500bef321..b85d26001 100755
--- a/source/n/libmilter/libmilter.SlackBuild
+++ b/source/n/libmilter/libmilter.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libmilter
-VERSION=${VERSION:-8.17.2}
+VERSION=${VERSION:-8.18.1}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on: